Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

cannot import packages of dipy.viz #1717

Closed
snapfinger opened this issue Jan 6, 2019 · 6 comments

Comments

@snapfinger
Copy link
Contributor

commented Jan 6, 2019

Description

Just found this problem exists when I use Jupyter Notebook. Python scripts work well.

from dipy.viz import window -> ImportError: cannot import name window
from dipy.viz import actor -> ImportError: cannot import name actor
there's no problem with import dipy.viz

ImportError                               Traceback (most recent call last)
<ipython-input-21-b18fdc2dd925> in <module>()
      4 sphere = get_sphere('symmetric724')
      5 
----> 6 from dipy.viz import window
      7 
      8 # Enables/disables interactive visualization

ImportError: cannot import name window

Way to reproduce

  • Code example: see above
  • Relevant images (if any)
  • Operating system and version: Darwin-17.6.0-x86_64-i386-64bit
  • Python version: 2.7.15 |Anaconda custom (64-bit)| (default, May 1 2018, 18:37:05) [GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)]
  • dipy version: 0.15.0
  • dependency version (numpy, scipy, nibabel, h5py, cvxpy, fury)
    NumPy 1.12.1
    SciPy 0.19.1
    Nibabel 2.3.1
    H5py 2.7.1
    fury 0.1.4

@snapfinger snapfinger changed the title cannot import window package cannot import packages of dipy.viz Jan 6, 2019

@snapfinger

This comment has been minimized.

Copy link
Contributor Author

commented Jan 12, 2019

interestingly the issue disappeared after a reboot

@snapfinger snapfinger closed this Jan 12, 2019

@imanusita

This comment has been minimized.

Copy link

commented Mar 23, 2019

i hv dipy 0.16.0 version
and i hv the same problm

@skoudoro

This comment has been minimized.

Copy link
Member

commented Mar 23, 2019

Did you install FURY package @imanusita?

To install it: pip install fury

@imanusita

This comment has been minimized.

Copy link

commented Mar 24, 2019

@imanusita

This comment has been minimized.

Copy link

commented Mar 24, 2019

is there any source for dipy exept their site i want somethng more general , it s kind of hard to use only examples i need the general case , for example in median_ostu it s not clear for me (as a begginer ) to understand the arguments used , i ll be so thnkfull if u give me other sources

@skoudoro

This comment has been minimized.

Copy link
Member

commented Mar 25, 2019

Hi @imanusita,

Your question is not related to this issue. Can you create a new issue or ask your question on dipy gitter chat, or via the mailing list. You will reach out to more people and it is easier to follow for us.

Thank you

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.